QGIS Application - Feature request #11078
Drag layer in layers panel to include drop on layer-style-area
2014-08-20 12:20 AM - Casper Bargesen

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 19411
Description

| have several users which complains about the current state of the layers panel. They feel that it is difficult to control how to move a layer
in the layers panel.

When | move a layer ontop of another layers name/text, it will be dropped below that layer.
When | move a layer ontop of a group, it will be dropped into that group.
When | move a layer ontop of another layers styling, nothing will happen.

I think it would be much easier/more intuitive to drag and drop layers if dropping on the styling of a layer will make the dragged layer drop
below that layer.

History

#1 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No

#2 - 2017-09-22 10:07 AM - Jiirgen Fischer
- Category set to Unknown
